---
title: "Get all senders"
slug: "get-all-senders"
abstract: "Describes the request and response details of this Sitecore Send API endpoint to get senders of a specific campaign."
---
# Get all senders

`GET /senders/find_all.{Format}`

Retrieves a list of all the active campaign senders in your Sitecore Send account.

## Request

| Parameter | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| Format | path | string | true | The supported file format for getting a response.Possible values: jsonand xml. |
| apikey | query | string | true | The API key of your account. |

```http
GET https://{hostname}/v3/senders/find\_all.{Format}?apikey=
```

```curl
curl --include \\
     --header "Content-Type: application/json" \\
     --header "Accept: application/json" \\
     'https://{hostname}/v3/senders/find\_all.{Format}?apikey='
```

## Response

| Status | Description | Headers | Schema |
| --- | --- | --- | --- |
| 200 OK | The request is successful. | Content-Type:application/jsonAccept:application/json | N/A |

```json
{
  "Code": 0,
  "Error": null,
  "Context": \[
    {
      "ID": "01234567-89ab-cdef-0123-456789abcdef",
      "Name": "Your Name",
      "Email": "sender@example.com",
      "CreatedOn": "/Date(1323857838000+0200)/",
      "IsEnabled": true,
      "SpfVerified": false,
      "DkimVerified": false,
      "DkimPublic": "Some DkimPublic"
    },
    {
      "ID": "e57c96b7-5786-489b-b3a2-bac3e30dd6bd",
      "Name": "Some Name",
      "Email": "Some Email",
      "CreatedOn": "/Date(1400765125478)/",
      "IsEnabled": false,
      "SpfVerified": false,
      "DkimVerified": false,
      "DkimPublic": "Some DkimPublic"
    }
  \]
}
```

-   `Code` - the response code for this call. This is `0` if successful.
    
-   `Error` - the response error message. This is `null` if successful.
    
-   `Context` - a list of campaign senders in your account containing the following information for each sender:
    
    -   `ID` - the ID of the sender.
        
    -   `Name` - the name of the sender.
        
    -   `Email` - the email address of the sender.
        
    -   `CreatedOn` - the date that the sender was created.
        
    -   `IsEnabled` - this is `true` if the sender is enabled and `false` if it is not.
        
    -   `SpfVerified` - this is `true` if the SPF record for the sender is enabled and `false` if it is not.
        
    -   `DkimVerified` - this is `true` if the DKIM record for the sender is enabled and `false` if it is not.
        
    -   `DkimPublic` - specifies the sender's email public DKIM.
        
    -   `DmarcVerified` - this is `true` if the Dmarc record for the sender is enabled, and false if it is not.
        
    -   `IsVerified` - this is `true` when the sender has both statuses Enabled AND Accepted.